


/*
 * "zapdemo.c" -- Das Beispielprogramm. Benutzt die
 * Funktion "Zap ()", die in "Zap.c" definiert wird.
 */

#include <X11/Intrinsic.h>

#include "Zap.h"

/* ----------------------------------------------------- */

int main (int argc, char *argv[])
{
  XtAppContext applicationContext;
  Widget       applicationShell;

  /*
   * Bug in X11R4: Der Parameter "argc_in_out" ist als
   * "Cardinal *" definiert anstatt "int *" (ab X11R5
   * behoben).
   */
#if XtSpecificationRelease == 4
  Cardinal dummy = (Cardinal) argc;
#define argc dummy
#endif

  applicationShell = XtAppInitialize
  (
    &applicationContext,
    "Zapdemo",
    (XrmOptionDescList) NULL, (Cardinal) 0,
    &argc, argv,
    (String *) NULL,
    (ArgList) NULL, (Cardinal) 0
  );

  /*
   * Hier passiert's:
   */
  Zap (applicationShell);

  XtRealizeWidget (applicationShell);

  XtAppMainLoop (applicationContext);

  return (0);
}

/* ----------------------------------------------------- */
